body, html {
    height: 100%;
    margin: 0;
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
}

header {
    background-color: #f1f1f1;
    padding: 10px 20px;
    text-align: center;
    position: relative;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

titre_harvester{
    margin-left: 50px;
}

.dropdown-toggle {
    width: 30px;
    height: 20px;
    position: relative;
    cursor: pointer;
    margin-top: 50px;
}

.bar {
    width: 100%;
    height: 4px;
    background-color: black;
    margin: 4px 0;
    transition: transform 0.3s; /* Ajoute une transition pour une animation fluide */
}

/* Transforme les traits en croix lorsque le menu est déroulé */
.dropdown-toggle:hover .bar:nth-child(2) {
    opacity: 0;
}

.dropdown-toggle:hover .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.dropdown-toggle:hover .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 100px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    top: 73px;
    left: 0;
}

.dropdown-content li {
    display: block;
    padding: 10px;
    transition: background-color 0.3s; /* Ajoute une transition pour une animation fluide */
}

/* Applique une bordure sur les rubriques survolées */
.dropdown-content li:hover {
    border: 2px solid black;
    border-radius: 5px;
}

.dropdown-content li a {
    display: block;
    text-decoration: none;
    color: #000;
}

.dropdown-toggle:hover + .dropdown-content {
    display: block;
}

.dropdown-content:hover {
    display: block;
}

.show {
    display: block;
}

.menu {
    position: absolute;
    left: 10px;
    top: 10px;
}

#menuButton {
    background: none;
    border: none;
    font-size: 24px;
    cursor: pointer;
}

#menuContent.hidden {
    display: none;
}

#menuContent {
    background-color: #f1f1f1;
    list-style-type: none;
    padding: 5px;
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    position: absolute;
    width: 200px;
}

#menuContent li a {
    text-decoration: none;
    color: black;
    display: block;
    padding: 8px;
}

main {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.content {
    display: flex;
    width: 100%;
}

.text-content {
    flex: 1;
    padding: 20px;
}

.text-area {
    flex: 1;
    padding: 20px;
}

.text-area textarea {
    width: 100%;
    height: 300px;
    resize: none;
}

.text-area {
    flex: 1;
    padding: 20px;
    position: relative;  / Permet le positionnement absolu à l interieur /
}

.text-area button {
    position: absolute;
    top: 10px;      / Définissez la distance depuis le haut du conteneur /
    right: 10px;    / Définissez la distance depuis le côté droit du conteneur /
    padding: 5px 10px; / Ajustements optionnels de padding pour le bouton /
}

.text-area textarea {
    width: 100%;
    height: 300px;
    resize: none;
    margin-top: 40px; / Ajoutez de la marge en haut pour éviter que le texte ne soit sous le bouton /
}

.refresh-container {
    display: flex;
    justify-content: flex-start;
    padding: 10px;

}

#refreshButton {
    background-color: #4682B4;
    color: white;
    padding: 10px;
    border: none;
    cursor: pointer;
    font-size: 16px;
}

#refreshButton:hover {
    background-color: #45a049;
}